{% extends "base.html" %}
{% load static %}
{% load crispy_forms_tags %}
{% load vstatic %}
{% load rules %}
{% load custom_tags %}
{% load list_tags %}
{% load organizacao_tags %}
{% block includes_footer %}
    <script type="text/javascript" src="{% vstatic 'main/js/usuaria_list.js' %}"></script>
{% endblock includes_footer %}
{% block content %}
    {% has_perm 'usuaria.administrar' user as pode_administrar_usuarias %}
    {% has_perm 'admin_geral' user as admin_geral %}
    {% if organizacao_id %}
        {% has_perm 'organizacao.alterar' user organizacao as pode_alterar_organizacao %}
    {% endif %}
    {% if not organizacao_id %}
        <div class="row">
            <div class="page-title">
                <h3>{{ titulo }}</h3>
                <div class="actions">
                    <a href="{% url 'usuaria_create' %}" class="btn btn-primary">
                        <i class="fa fa-user-plus mr-1"></i> Cadastrar nova/o usuária/o
                        no sistema
                    </a>
                </div>
            </div>
        </div>
    {% else %}
        <div class="row">
            <div class="page-title">
                {% if organizacao.logo %}<img src="{{ organizacao.logo.url }}" alt="logo" class="logo" />{% endif %}
                <h3>{{ titulo }}</h3>
                {% if pode_alterar_organizacao %}
                    <div class="actions">
                        <a class="btn btn-primary"
                           href="{% url 'usuaria_create' organizacao_id=organizacao.id %}">
                            <i class="fa fa-user-plus mr-1"></i> Cadastrar novo/a {{ admin_geral|yesno:'usuário/a na organização,revisor/a' }}
                        </a>
                        <a class="btn btn-info"
                           href="{% url 'organizacao_update' organizacao_id=organizacao.id %}">
                            <i class="fa fa-edit mr-1"></i> Editar organização
                        </a>
                    </div>
                {% endif %}
            </div>
        </div>
    {% endif %}
    <div class="row mt-5">
        {% if object_list|length > 0 %}
            <div class="col-md-12">
                <table class="table table-striped table-condensed" id="usuarias_list_table">
                    <thead>
                        <tr>
                            {% if not organizacao_id %}<th class="colHasSearchPaneOrg">Organizações</th>{% endif %}
                            {% if not organizacao_id %}<th>Pediu Código?</th>{% endif %}
                            {% if admin_geral %}<th>Código</th>{% endif %}
                            <th class="colHasSearchPane">Nome</th>
                            <th>CPF</th>
                            <th>Telefone ou Nome de Usuária</th>
                            <th class="colHasSearchPane">Perfil</th>
                            <th>Última alteração</th>
                            <th {% if organizacao_id %}class="colHasSearchPaneComun"{% endif %}>Comunidades associadas</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for object in object_list %}
                            <tr data-usuaria="{{ object }}" data-usuaria_id="{{ object.id }}">
                                {% if not organizacao_id %}
                                    <td>{% organizacoes_associaveis_usuaria request_user=user usuaria=object %}</td>
                                {% endif %}
                                {% if not organizacao_id %}<td>{{ object.solicitou_codigo|yesno:"Sim," }}</td>{% endif %}
                                {% if admin_geral %}<td>{{ object.codigo_uso_celular }}</td>{% endif %}
                                {% if pode_administrar_usuarias %}
                                    <td>
                                        {% if admin_geral %}
                                            <a href="{% prefix_url_organizacao %}{% url 'usuaria_update' object.id %}">{{ object.first_name }}</a>
                                        {% else %}
                                            {% has_perm 'organizacao.alterar' object organizacao as admin_org %}
                                            {% if admin_org and object.id != user.id %}
                                                {{ object.first_name }}
                                            {% else %}
                                                <a href="{% prefix_url_organizacao %}{% url 'usuaria_update' object.id %}">{{ object.first_name }}</a>
                                            {% endif %}
                                        {% endif %}
                                    </td>
                                {% else %}
                                    <td>{{ object }}</td>
                                {% endif %}
                                <td>{{ object.cpf|default:'-' }}</td>
                                <td>{{ object.username|format_telefone }}</td>
                                <td class="cell_perfil">{{ object|perfil:object.org_usuarias }}</td>
                                <td data-order="{{ object.ultima_alteracao|date:"U" }}">
                                    {{ object.ultima_alteracao|date:"d/m/Y"|default_if_none:"" }}
                                </td>
                                <td>
                                    {% for territorio in object.territorios.all %}
                                        <a href="{% url 'territorio_detail' pk=territorio.id %}">
                                            <span class="badge badge-comunidade">{{ territorio }}</span>
                                        </a>
                                    {% endfor %}
                                    {% for territorio in object.territorios_revisora.all %}
                                        <a href="{% url 'territorio_detail' pk=territorio.id %}">
                                            <span class="badge badge-comunidade_em_revisao">{{ territorio }}</span>
                                        </a>
                                    {% endfor %}
                                </td>
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>
            </div>
        {% else %}
            <div class="col-md-12">
                <div class="alert alert-dark">
                    <h5>
                        Nenhuma usuária(o) encontrada(o). <a href="">Criar uma</a>
                    </h5>
                </div>
            </div>
        {% endif %}
    </div>
    <div id="organizacao-associar-modal"
         class="modal fade"
         role="dialog"
         style="display: none"
         aria-hidden="true">
        <div class="modal-dialog modal-sm">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title"></h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Fechar">
                        <span aria-hidden="true"><i class="fa fa-times"></i></span>
                    </button>
                </div>
                <div class="modal-body">
                    {% crispy form %}
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">
                        Fechar
                    </button>
                    <button type="button"
                            class="btn btn-primary"
                            id="organizacao-associar-submit">
                        Salvar
                    </button>
                </div>
            </div>
        </div>
    </div>
    <div id="alerta-modal"
         class="modal fade"
         role="dialog"
         style="display: none"
         aria-hidden="true">
        <div class="modal-dialog modal-sm">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title">
                        <span class="modal_nome_usuaria"></span> ->
                        <span class="modal_verbo">administrar</span>
                        <span class="modal_nome_organizacao">NomeDaOrganização</span>.
                    </h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Fechar">
                        <span aria-hidden="true"><i class="fa fa-times"></i></span>
                    </button>
                </div>
                <div class="modal-body">
                    <div id="modal-to-reviewer">
                        <p>
                            <span class="modal_nome_usuaria">Maria</span> será revisor/a.
                        </p>
                        <p class="modal_pre_list">
                            Portanto, <b>deixará de ser administrador/a</b> das seguintes organizações:
                        </p>
                        <ul>
                        </ul>
                    </div>
                    <div id="modal-to-admin">
                        <p>
                            Com esta ação, todos os territórios que <span class="modal_nome_usuaria"></span> estava revisando <b>ficarão sem revisor/a.</b>
                        </p>
                        <p class="modal_pre_list">
                            Além disso, <span class="modal_nome_usuaria"></span> será <b>removido/a</b> das seguintes organizações em que não é administrador/a:
                        </p>
                        <ul>
                        </ul>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">
                        Cancelar
                    </button>
                    <button type="button"
                            class="btn btn-primary"
                            id="organizacao-associar-confirma-submit"
                            data-params="">
                        Confirmar
                    </button>
                </div>
            </div>
        </div>
    </div>
    <div id="loading-modal"
         class="modal fade"
         role="dialog"
         style="display: none"
         aria-hidden="true">
        <div class="modal-dialog modal-sm">
            <div class="modal-content">
                <div class="modal-body">
                    <div class="loader" id="loader-1">
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock content %}
